/*
 * Copyright (c) 2021 the original author, All Rights Reserved.
 * Created by Deason on 2021-04-28 22:23:01
 */

package cn.com.qmth.framework.registration.center;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.cloud.netflix.eureka.server.EnableEurekaServer;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.GetMapping;

/**
 * @author: Deason
 * @since: 2021/4/21
 */
@Controller
@EnableEurekaServer
@SpringBootApplication
public class RegistrationCenterApplication {

    private static final Logger log = LoggerFactory.getLogger(RegistrationCenterApplication.class);

    @Value("${eureka.dashboard.path}")
    private String home;

    @GetMapping(value = "/")
    public String index() {

        log.info("into...");

        return "redirect:" + home;
    }

    public static void main(String[] args) {
        SpringApplication.run(RegistrationCenterApplication.class, args);
    }

}
